EdgeIteratorTest Class Reference

`#include <EdgeIteratorTest.h>`

Inheritance diagram for EdgeIteratorTest:

## Public Member Functions

| EdgeIteratorTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testReferenceIteration (void)
void | testIterationLength (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestGraphIteration (Graph *g, EdgeIterator::ITERATIONMODE m)
bool | genericTestVertexIteration (Vertex *srcvertex, EdgeIterator::ITERATIONMODE m, const std::vector< Edge * > &edges)
bool | genericTestIterationLength (Graph *g)

## Private Attributes

BitString * | bs1
BitString * | bs2
CvrStgFile * | f1
CvrStgFile * | f2
Selector * | s1
Selector * | s2
Graph * | g1
Graph * | g2
Globals | gl1
Globals | gl2
BitString * | bs10
BitString * | bs11
BitString * | bs12
CvrStgFile * | f10
CvrStgFile * | f11
CvrStgFile * | f12
Selector * | s10
Selector * | s11
Selector * | s12
Graph * | g10
Graph * | g11
Graph * | g12
Globals | gl10
Globals | gl11
Globals | gl12

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## EdgeIteratorTest()

EdgeIteratorTest::EdgeIteratorTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void EdgeIteratorTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## genericTestGraphIteration()

bool EdgeIteratorTest::genericTestGraphIteration | ( | Graph * | g,
|  | EdgeIterator::ITERATIONMODE | m )

private

## genericTestIterationLength()

bool EdgeIteratorTest::genericTestIterationLength | ( | Graph * | g | ) |

private

for all vertices in the graph test if getDegree() returns exactly the number of edges EdgeIterator iterates through

## genericTestVertexIteration()

bool EdgeIteratorTest::genericTestVertexIteration | ( | Vertex * | srcvertex,
|  | EdgeIterator::ITERATIONMODE | m,
|  | const std::vector< Edge * > & | edges )

private

check if an edge iterator for srcvertex with m iterates exactly through edges

## setup()

void EdgeIteratorTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testIterationLength()

void EdgeIteratorTest::testIterationLength | ( | void |  | ) |

## testReferenceIteration()

void EdgeIteratorTest::testReferenceIteration | ( | void |  | ) |

## Member Data Documentation

## bs1

BitString* EdgeIteratorTest::bs1

private

## bs10

BitString* EdgeIteratorTest::bs10

private

## bs11

BitString * EdgeIteratorTest::bs11

private

## bs12

BitString * EdgeIteratorTest::bs12

private

## bs2

BitString * EdgeIteratorTest::bs2

private

## f1

CvrStgFile* EdgeIteratorTest::f1

private

## f10

CvrStgFile* EdgeIteratorTest::f10

private

## f11

CvrStgFile * EdgeIteratorTest::f11

private

## f12

CvrStgFile * EdgeIteratorTest::f12

private

## f2

CvrStgFile * EdgeIteratorTest::f2

private

## g1

Graph* EdgeIteratorTest::g1

private

## g10

Graph* EdgeIteratorTest::g10

private

## g11

Graph * EdgeIteratorTest::g11

private

## g12

Graph * EdgeIteratorTest::g12

private

## g2

Graph * EdgeIteratorTest::g2

private

## gl1

Globals EdgeIteratorTest::gl1

private

## gl10

Globals EdgeIteratorTest::gl10

private

## gl11

Globals EdgeIteratorTest::gl11

private

## gl12

Globals EdgeIteratorTest::gl12

private

## gl2

Globals EdgeIteratorTest::gl2

private

## s1

Selector* EdgeIteratorTest::s1

private

## s10

Selector* EdgeIteratorTest::s10

private

## s11

Selector * EdgeIteratorTest::s11

private

## s12

Selector * EdgeIteratorTest::s12

private

## s2

Selector * EdgeIteratorTest::s2

private

The documentation for this class was generated from the following files:

- EdgeIteratorTest.h
- EdgeIteratorTest.cc